USE [RetailPOS_DB]
GO

/****** Object:  Table [dbo].[DiscountSetting]    Script Date: 07-10-2021 12:43:54 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[DiscountSetting](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[UserID] [nchar](100) NULL,
	[MaxDiscPerAllowed] [decimal](18, 2) NULL,
 CONSTRAINT [PK_DiscountSetting] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[DiscountSetting]  WITH CHECK ADD  CONSTRAINT [FK_DiscountSetting_Registration] FOREIGN KEY([UserID])
REFERENCES [dbo].[Registration] ([UserID])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[DiscountSetting] CHECK CONSTRAINT [FK_DiscountSetting_Registration]
GO

